Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160134 - fix network manager for my home network
Summary: fix network manager for my home network
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-11 02:57 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-10 02:46:17 UTC


Attachments (Terms of Use)
patch to make it work (deleted)
2005-06-11 02:57 UTC, Bill Nottingham
no flags Details | Diff

Description Bill Nottingham 2005-06-11 02:57:24 UTC
Patch attached.

Need to call set_wireless_config, otherwise the device isn't actually set as
ad-hoc, nor is the key or rate set to match the other node.

And, of course, I use DHCP on my ad-hoc network. :) Perhaps it should check
for dhcp, and then do autoip if that fails.

Comment 1 Bill Nottingham 2005-06-11 02:57:24 UTC
Created attachment 115322 [details]
patch to make it work

Comment 2 Dan Williams 2006-07-10 02:46:17 UTC
Somewhat obsolete since we use wpa_supplicant now.  However, there are a few
issues still with Ad-Hoc, mainly that wpa_supplicant doesn't support setting the
channel yet so "Create new Network..." doesn't work quite correctly.


Note You need to log in before you can comment on or make changes to this bug.